@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    box-sizing: border-box;
}

body {
    font-family: "Inter", sans-serif;
    margin: 0;
    color: #fff;
    line-height: 1.3;
    background: linear-gradient(180deg, #da4453 0%, #89216b 100%);
    min-height: 100vh;
}
  

header {
    padding: 25px 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
  
.logo {
    font-size: 18px;
    font-weight: bold;
    color: #fff;
}

.logo a {
    color: #fff;
    text-decoration: none;
}
  
nav a {
    margin-left: 20px;
    text-decoration: none;
    color: #fff;
    font-weight: 500;
    font-size: 14px;
}
  
nav a:hover {
    color: #e1f0ff;
}
  
.hero h1 {
    font-size: 36px;
    color: #fff;
}

.article h1 {
    margin-top: 100px;
    max-width: 90%;
}

.container {
    width: 1000px;
    margin: 0 auto;
}

.hero {
    margin-top: 40px;
}

.hero p {
    font-size: 16px;
    margin-top: 10px;
    color: #fff;
    line-height: 1.3;
}

.hero-link {
    color: #fff;
    font-size: 14px;
    padding: 12px 20px 12px 20px;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.1);
    border: 1px rgba(255, 255, 255, 0.15) solid;
    text-decoration: none;
    margin-top: 15px;
    display: inline-block;
}
  
.btn {
    display: inline-block;
    margin-top: 20px;
    padding: 12px 24px;
    background-color: #fff;
    font-family: "Inter", sans-serif;
    color: #1b1b1b;
    border-radius: 8px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
    border: none;
    font-size: 14px;
    cursor: pointer;
}

.blog {
    width: 100%;
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    margin-top: 100px;
    margin-bottom: 100px;
}

.blog > a {
    width: calc(33% - 20px);
    padding: 25px;
    background: rgba(255, 255, 255, 0.1);
    border: 1px rgba(255, 255, 255, 0.15) solid;
    border-radius: 10px;
    color: #fff !important;
    text-decoration: none;
}

.blog-empty {
    width: calc(33% - 20px);
    padding: 25px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px rgba(255, 255, 255, 0.1) solid;
    border-radius: 10px;
    color: #fff !important;
    text-decoration: none;
}

.blog > a:hover {
    transition: .2s;
    transform: translateY(-5px);
}

.blog > a > h2 {
    margin: 0;
    color: #fff;
    font-size: 18px;
}

.blog > a > p {
    font-size: 14px;
    margin-top: 20px;
    margin-bottom: 8px;
    color: #fff;
}

.ava {
    width: 80px;
    height: 80px;
    background: url('/ava2.png') no-repeat;
    background-size: cover;
    border-radius: 50%;
    margin-top: 100px;
}

.article-img {
    border-radius: 10px;
    margin: 15px 0;
}

ul {
    padding-left: 20px;
}

.prank-content {
    background: #fff;
    width: 1000px;
    margin: 60px auto;
    border-radius: 10px;
    color: #1b1b1b;
    padding: 35px;
}

.prank-content h1 {
    margin-top: 0;
}

.prank-content h2 {
    margin-top: 0;
}

.gobot-button {
    border-radius: 50px;
    color: #fff;
    line-height: 1.3;
    background: #da4453;
    padding: 15px 25px;
    display: inline-block;
    margin-top: 10px;
    text-decoration: none;
    font-weight: 600;
}

.gobot-img {
    width: 100%;
}

.modal {
    position: fixed; 
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(0,0,0,0.5); 
    backdrop-filter: blur(15px);
    z-index: 1050;
    opacity: 0; 
    -webkit-transition: opacity 200ms ease-in; 
    -moz-transition: opacity 200ms ease-in;
    transition: opacity 200ms ease-in; 
    pointer-events: none; 
    margin: 0;
    padding: 0;
}

.modal:target {
    opacity: 1; 
	  pointer-events: auto; 
    overflow-y: auto; 
}

.modal-dialog {
    position: relative;
    width: auto;
    margin: 10px;
}


@media (min-width: 576px) {
  .modal-dialog {
      max-width: 500px;
      margin: 50px auto; 
  }
}

.modal-content {
    position: relative;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid rgba(0,0,0,.2);
    border-radius: 10px;
    outline: 0;
    color: #000;
}


.modal-header {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 20px 25px;
    border-bottom: 1px solid #eceeef;
}
.modal-title {
    margin-top: 0;
    margin-bottom: 0;
    line-height: 1.5;
    font-size: 1.25rem;
    font-weight: 500;
}

.close {
    float: right;
    font-family: sans-serif;
    font-size: 24px;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: .5;
    text-decoration: none;
}

.close:focus, .close:hover {
    color: #000;
    text-decoration: none;
    cursor: pointer;
    opacity: .75;
}

.modal-body {
  position: relative;
    -webkit-box-flex: 1;
    -webkit-flex: 1 1 auto;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 10px 25px 25px;
    overflow: auto;
}

.modal-body p {
	font-size: 14px;
}

.modal-input {
	width: 100%;
	height: 40px;
	padding-left: 10px;
	margin-top: 10px;
	border-radius: 5px;
	border: 1px #ccc solid;
}

.modal-area {
	width: 100%;
	height: 100px;
	padding: 10px;
	margin-top: 10px;
	border-radius: 5px;
	border: 1px #ccc solid;
	font-family: 'Roboto', sans-serif;
	max-width: 100%;
}

.modal-button {
	width: 100%;
	height: 45px;
	padding-left: 10px;
	margin-top: 10px;
	border: none;
	border-radius: 50px;
	background: #da4453;
	color: #fff;
	font-weight: bold;
	margin-top: 15px;
	cursor: pointer;
	font-size: 15px;
}

@media (max-width: 1000px) {
    .container {
        width: 100%;
        padding: 0 30px;
    }

    .blog {
        display: block;
        width: 100%;
    }

    .blog-empty {
        display: none;
    }

    .blog > a {
        width: 100%;
        display: block;
        margin-bottom: 30px;
    }

    nav {
        display: none;
    }

    .article-img {
        width: 100%;
    }

    .hero h1 {
        font-size: 30px;
    }

    .article h1 {
        margin-top: 40px;
    }

    li {
        margin-bottom: 10px;
    }

    .prank-content {
        width: 100%;
        border-radius: 0;
        margin-top: 0;
        margin-bottom: 0;
    }

    .gobot-img {
        width: 100%;
    }
}
